VULKAN_HPP_NAMESPACE::DebugUtilsObjectTagInfoEXT Struct Reference

`#include <vulkan.hpp>`

## Public Member Functions

| DebugUtilsObjectTagInfoEXT (ObjectType objectType_=ObjectType::eUnknown, uint64_t objectHandle_=0, uint64_t tagName_=0, size_t tagSize_=0, const void *pTag_=nullptr)
| DebugUtilsObjectTagInfoEXT (VkDebugUtilsObjectTagInfoEXT const &rhs)
DebugUtilsObjectTagInfoEXT & | operator= (VkDebugUtilsObjectTagInfoEXT const &rhs)
DebugUtilsObjectTagInfoEXT & | setPNext (const void *pNext_)
DebugUtilsObjectTagInfoEXT & | setObjectType (ObjectType objectType_)
DebugUtilsObjectTagInfoEXT & | setObjectHandle (uint64_t objectHandle_)
DebugUtilsObjectTagInfoEXT & | setTagName (uint64_t tagName_)
DebugUtilsObjectTagInfoEXT & | setTagSize (size_t tagSize_)
DebugUtilsObjectTagInfoEXT & | setPTag (const void *pTag_)
| operator VkDebugUtilsObjectTagInfoEXT const & () const
| operator VkDebugUtilsObjectTagInfoEXT & ()
bool | operator== (DebugUtilsObjectTagInfoEXT const &rhs) const
bool | operator!= (DebugUtilsObjectTagInfoEXT const &rhs) const

## Data Fields

const void * | pNext = nullptr
ObjectType | objectType
uint64_t | objectHandle
uint64_t | tagName
size_t | tagSize
const void * | pTag

## Private Attributes

StructureType | sType = StructureType::eDebugUtilsObjectTagInfoEXT

## Detailed Description

Definition at line 21654 of file vulkan.hpp.

## Constructor & Destructor Documentation

## DebugUtilsObjectTagInfoEXT() [1/2]

VULKAN_HPP_NAMESPACE::DebugUtilsObjectTagInfoEXT::DebugUtilsObjectTagInfoEXT | ( | ObjectType | objectType_ = `ObjectType::eUnknown`,
|  | uint64_t | objectHandle_ = `0`,
|  | uint64_t | tagName_ = `0`,
|  | size_t | tagSize_ = `0`,
|  | const void * | pTag_ = `nullptr`
| ) |  |

inline

Definition at line 21656 of file vulkan.hpp.

: objectType( objectType_ )
, objectHandle( objectHandle_ )
, tagName( tagName_ )
, tagSize( tagSize_ )
, pTag( pTag_ )
{
}

## DebugUtilsObjectTagInfoEXT() [2/2]

VULKAN_HPP_NAMESPACE::DebugUtilsObjectTagInfoEXT::DebugUtilsObjectTagInfoEXT | ( | VkDebugUtilsObjectTagInfoEXT const & | rhs | ) |

inline

Definition at line 21669 of file vulkan.hpp.

{
memcpy( this, &rhs, sizeof( DebugUtilsObjectTagInfoEXT ) );
}

References memcpy.

## Member Function Documentation

## operator VkDebugUtilsObjectTagInfoEXT &()

VULKAN_HPP_NAMESPACE::DebugUtilsObjectTagInfoEXT::operator VkDebugUtilsObjectTagInfoEXT & | ( |  | ) |

inline

Definition at line 21720 of file vulkan.hpp.

{
return *reinterpret_cast<VkDebugUtilsObjectTagInfoEXT*>(this);
}

## operator VkDebugUtilsObjectTagInfoEXT const &()

VULKAN_HPP_NAMESPACE::DebugUtilsObjectTagInfoEXT::operator VkDebugUtilsObjectTagInfoEXT const & | ( |  | ) | const

inline

Definition at line 21715 of file vulkan.hpp.

{
return *reinterpret_cast<const VkDebugUtilsObjectTagInfoEXT*>(this);
}

## operator!=()

bool VULKAN_HPP_NAMESPACE::DebugUtilsObjectTagInfoEXT::operator!= | ( | DebugUtilsObjectTagInfoEXT const & | rhs | ) | const

inline

Definition at line 21736 of file vulkan.hpp.

{
return !operator==( rhs );
}

References operator==().

## operator=()

DebugUtilsObjectTagInfoEXT& VULKAN_HPP_NAMESPACE::DebugUtilsObjectTagInfoEXT::operator= | ( | VkDebugUtilsObjectTagInfoEXT const & | rhs | ) |

inline

Definition at line 21674 of file vulkan.hpp.

{
memcpy( this, &rhs, sizeof( DebugUtilsObjectTagInfoEXT ) );
return *this;
}

References memcpy.

## operator==()

bool VULKAN_HPP_NAMESPACE::DebugUtilsObjectTagInfoEXT::operator== | ( | DebugUtilsObjectTagInfoEXT const & | rhs | ) | const

inline

Definition at line 21725 of file vulkan.hpp.

{
return ( sType == rhs.sType )
&& ( pNext == rhs.pNext )
&& ( objectType == rhs.objectType )
&& ( objectHandle == rhs.objectHandle )
&& ( tagName == rhs.tagName )
&& ( tagSize == rhs.tagSize )
&& ( pTag == rhs.pTag );
}

References objectHandle, objectType, pNext, pTag, sType, tagName, and tagSize.

Referenced by operator!=().

## setObjectHandle()

DebugUtilsObjectTagInfoEXT& VULKAN_HPP_NAMESPACE::DebugUtilsObjectTagInfoEXT::setObjectHandle | ( | uint64_t | objectHandle_ | ) |

inline

Definition at line 21691 of file vulkan.hpp.

{
objectHandle = objectHandle_;
return *this;
}

References objectHandle.

## setObjectType()

DebugUtilsObjectTagInfoEXT& VULKAN_HPP_NAMESPACE::DebugUtilsObjectTagInfoEXT::setObjectType | ( | ObjectType | objectType_ | ) |

inline

Definition at line 21685 of file vulkan.hpp.

{
objectType = objectType_;
return *this;
}

## setPNext()

DebugUtilsObjectTagInfoEXT& VULKAN_HPP_NAMESPACE::DebugUtilsObjectTagInfoEXT::setPNext | ( | const void * | pNext_ | ) |

inline

Definition at line 21679 of file vulkan.hpp.

{
pNext = pNext_;
return *this;
}

References pNext.

## setPTag()

DebugUtilsObjectTagInfoEXT& VULKAN_HPP_NAMESPACE::DebugUtilsObjectTagInfoEXT::setPTag | ( | const void * | pTag_ | ) |

inline

Definition at line 21709 of file vulkan.hpp.

{
pTag = pTag_;
return *this;
}

References pTag.

## setTagName()

DebugUtilsObjectTagInfoEXT& VULKAN_HPP_NAMESPACE::DebugUtilsObjectTagInfoEXT::setTagName | ( | uint64_t | tagName_ | ) |

inline

Definition at line 21697 of file vulkan.hpp.

{
tagName = tagName_;
return *this;
}

References tagName.

## setTagSize()

DebugUtilsObjectTagInfoEXT& VULKAN_HPP_NAMESPACE::DebugUtilsObjectTagInfoEXT::setTagSize | ( | size_t | tagSize_ | ) |

inline

Definition at line 21703 of file vulkan.hpp.

{
tagSize = tagSize_;
return *this;
}

References tagSize.

## Field Documentation

## objectHandle

uint64_t VULKAN_HPP_NAMESPACE::DebugUtilsObjectTagInfoEXT::objectHandle

Definition at line 21747 of file vulkan.hpp.

Referenced by operator==(), and setObjectHandle().

## objectType

ObjectType VULKAN_HPP_NAMESPACE::DebugUtilsObjectTagInfoEXT::objectType

Definition at line 21746 of file vulkan.hpp.

Referenced by operator==().

## pNext

const void* VULKAN_HPP_NAMESPACE::DebugUtilsObjectTagInfoEXT::pNext = nullptr

Definition at line 21745 of file vulkan.hpp.

Referenced by operator==(), and setPNext().

## pTag

const void* VULKAN_HPP_NAMESPACE::DebugUtilsObjectTagInfoEXT::pTag

Definition at line 21750 of file vulkan.hpp.

Referenced by operator==(), and setPTag().

## sType

StructureType VULKAN_HPP_NAMESPACE::DebugUtilsObjectTagInfoEXT::sType = StructureType::eDebugUtilsObjectTagInfoEXT

private

Definition at line 21742 of file vulkan.hpp.

Referenced by operator==().

## tagName

uint64_t VULKAN_HPP_NAMESPACE::DebugUtilsObjectTagInfoEXT::tagName

Definition at line 21748 of file vulkan.hpp.

Referenced by operator==(), and setTagName().

## tagSize

size_t VULKAN_HPP_NAMESPACE::DebugUtilsObjectTagInfoEXT::tagSize

Definition at line 21749 of file vulkan.hpp.

Referenced by operator==(), and setTagSize().

The documentation for this struct was generated from the following file:

- src/video/khronos/vulkan/vulkan.hpp

VULKAN_HPP_NAMESPACE::DebugUtilsObjectTagInfoEXT::DebugUtilsObjectTagInfoEXT
DebugUtilsObjectTagInfoEXT(ObjectType objectType_=ObjectType::eUnknown, uint64_t objectHandle_=0, uint64_t tagName_=0, size_t tagSize_=0, const void *pTag_=nullptr)
Definition: vulkan.hpp:21656
memcpy
#define memcpy
Definition: SDL_malloc.c:630
VULKAN_HPP_NAMESPACE::DebugUtilsObjectTagInfoEXT::objectType
ObjectType objectType
Definition: vulkan.hpp:21746
VULKAN_HPP_NAMESPACE::DebugUtilsObjectTagInfoEXT::tagSize
size_t tagSize
Definition: vulkan.hpp:21749
VULKAN_HPP_NAMESPACE::DebugUtilsObjectTagInfoEXT::tagName
uint64_t tagName
Definition: vulkan.hpp:21748
VULKAN_HPP_NAMESPACE::DebugUtilsObjectTagInfoEXT::objectHandle
uint64_t objectHandle
Definition: vulkan.hpp:21747
VULKAN_HPP_NAMESPACE::DebugUtilsObjectTagInfoEXT::pNext
const void * pNext
Definition: vulkan.hpp:21745
VkDebugUtilsObjectTagInfoEXT
Definition: vulkan_core.h:7424
VULKAN_HPP_NAMESPACE::DebugUtilsObjectTagInfoEXT::pTag
const void * pTag
Definition: vulkan.hpp:21750
objectType
EGLenum objectType
Definition: eglext.h:128
VULKAN_HPP_NAMESPACE::DebugUtilsObjectTagInfoEXT::operator==
bool operator==(DebugUtilsObjectTagInfoEXT const &rhs) const
Definition: vulkan.hpp:21725
VULKAN_HPP_NAMESPACE::DebugUtilsObjectTagInfoEXT::sType
StructureType sType
Definition: vulkan.hpp:21742